# Yaf_Response_Abstract::clearBody

(Yaf >=1.0.0)

Yaf_Response_Abstract::clearBody — Descarta todo el cuerpo de respuesta existente

### Descripción

public Yaf_Response_Abstract::clearBody(string `$key` = ?): bool

Limpia el contenido existente.

### Parámetros

`key`

  La clave del contenido, si no se especifica, todo el contenido será limpiado.

  > Nota:

  > Este parámetro se introdujo a partir de la versión 2.2.0

### Valores devueltos

### Ver también

- Yaf_Response_Abstract::setBody() - Establece el contenido de una respuesta
- Yaf_Response_Abstract::appendBody() - Añadir contenido al cuerpo de respuesta
- Yaf_Response_Abstract::prependBody() - El propósito de prependBody
- Yaf_Response_Abstract::getBody() - Recupera un contenido existente